Bug 1266847 - (ghc-extra) Review Request: ghc-extra - Extra Haskell functions
Review Request: ghc-extra - Extra Haskell functions
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: 1530182
Blocks: 1142930 1166415
  Show dependency treegraph
 
Reported: 2015-09-28 04:01 EDT by Jens Petersen
Modified: 2018-01-09 07:05 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-extra-1.5.3-1.fc28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2015-09-28 04:01:54 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-extra.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-extra-1.4.2-1.fc22.src.rpm

Description:
A library of extra functions for the standard Haskell libraries. Most functions
are simple additions, filling out missing functionality. A few functions are
available in later versions of GHC, but this package makes them available back
to GHC 7.2.

The module "Extra" documents all functions provided by this library.
Modules such as "Data.List.Extra" provide extra functions over "Data.List" and
also reexport "Data.List". Users are recommended to replace "Data.List" imports
with "Data.List.Extra" if they need the extra functionality.
Comment 1 Jens Petersen 2015-09-28 04:09:48 EDT
Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=11250161
Comment 2 Jens Petersen 2017-11-19 02:39:23 EST
Currently a subpackage of hlint
Comment 3 Robert-André Mauchin 2017-11-19 11:05:30 EST
 - Please package the latest version, version 1.6.

 - Build fails for me:

Preprocessing test suite 'extra-test' for extra-1.4.2...
[1 of 4] Compiling TestUtil         ( test/TestUtil.hs, dist/build/extra-test/extra-test-tmp/TestUtil.dyn_o )
test/TestUtil.hs:66:5: error:
    ‘exhaustive’ is not a (visible) method of class ‘Testable’
test/TestUtil.hs:70:5: error:
    ‘exhaustive’ is not a (visible) method of class ‘Testab
Comment 5 Robert-André Mauchin 2017-12-20 11:04:19 EST
 - Please use a better summary, "Extra functions I use" is quite vague.

 - I can't build it in Mock because it requires:

Setup: Encountered missing dependencies:
QuickCheck >=2.10

   Only version 2.9.2 is available in Rawhide.
   Fortunately you're also the maintainer of that package, maybe you could bump it.
Comment 6 Jens Petersen 2017-12-21 01:45:01 EST
Okay thanks, sorry about that: I thought I had built it locally.

I am downgrading to the version from LTS 9, since that is closer to current Fedora:

Spec: http://petersen.fedorapeople.org/reviews/ghc-extra/ghc-extra.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-extra/ghc-extra-1.5.3-1.fc27.src.rpm
Comment 7 Robert-André Mauchin 2017-12-21 06:11:51 EST
 You should split the doc in a separate subpackage.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 27 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /ghc-extra/review-ghc-extra/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1320960 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-extra-1.5.3-1.fc28.x86_64.rpm
          ghc-extra-devel-1.5.3-1.fc28.x86_64.rpm
          ghc-extra-1.5.3-1.fc28.src.rpm
ghc-extra.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 8 Jens Petersen 2017-12-26 02:32:52 EST
Thanks for reviewing.

(In reply to Robert-André Mauchin from comment #7)
>  You should split the doc in a separate subpackage.
:
> ===== EXTRA items =====
> 
> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 1320960 bytes in /usr/share

Did we discuss this before?

Current Fedora Haskell Packaging doesn't play well with doc subpackaging.
I am planning to subpackage docs in a future Fedora release, though
Comment 9 Robert-André Mauchin 2017-12-26 12:54:06 EST
Yes we did.

Package approved.
Comment 10 Jens Petersen 2017-12-27 04:38:17 EST
Thanks a lot, Robert-André

https://pagure.io/releng/fedora-scm-requests/issue/3636
Comment 11 Gwyn Ciesla 2017-12-27 07:48:25 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-extra. You may commit to the branch "f27" in about 10 minutes.
Comment 12 Jens Petersen 2018-01-02 02:15:03 EST
Oops I just realised that extra needs clock (currently also a subpackage of hlint) to build...

Note You need to log in before you can comment on or make changes to this bug.